commit:     4342cdf7069e90891a311dae274e3b8d47663903
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  8 13:21:44 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun  8 13:28:45 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4342cdf7

net-misc/iputils: add 20250605

Bug: https://bugs.gentoo.org/957594
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-misc/iputils/Manifest                |   1 +
 net-misc/iputils/iputils-20250605.ebuild | 141 +++++++++++++++++++++++++++++++
 2 files changed, 142 insertions(+)

diff --git a/net-misc/iputils/Manifest b/net-misc/iputils/Manifest
index 4667f6eb2e69..e19fe460e33d 100644
--- a/net-misc/iputils/Manifest
+++ b/net-misc/iputils/Manifest
@@ -2,4 +2,5 @@ DIST iputils-20211215.tar.gz 524567 BLAKE2B 
b88ff84be1d4d6a741f8f3514739ceff45ea
 DIST iputils-20221126.tar.gz 511944 BLAKE2B 
97bdc49810ce9e517211323e8e8ffd2f2be505704d67533db0e8f296701048b82c61b39062aab4a8fa148b29175636a657c2dcdd65e3a16b1572d2f392b8ecf0
 SHA512 
7fdfd76e6f2977039bc0930a1a5451f17319bf17beefc429751d99ffe143a83344d5b4cdbf008627bd70caafeadaf906a8b7c00393fa819e50d6c02b512c367f
 DIST iputils-20240117.tar.xz 445684 BLAKE2B 
635943e12010aef8c1291b407bfbe284e0179391fca76197b77037ae1ffc219fa1d8e36abcea5fb7fff10d55ab40eed7c081e5d92b29f0916a4b4dd806945491
 SHA512 
c45822c5641f194dc07cba919c13a4b7a79d050bb53957a894ebb6ccc1f71bac1f26489e13d18ef1ce235982f5fa1824e677f95037a0f5cce6bcb94be4c2e2de
 DIST iputils-20240905.tar.xz 459008 BLAKE2B 
62ee614292fbf487d93d711ecbc11719d10f4dcb995bfd0d613459b49792ae4c8f0032a401fbf583206665ac4c592e90c30da5c75811340cc881c06a20a05318
 SHA512 
6731e4fb8b8f89469de746c911fca6f1c7e924a21ca14ec25c40707707be3fe5a696272ba2d293207bc8c20f72a070d8e0a640fab9e5ea240a29a1f027807c1b
+DIST iputils-20250605.tar.xz 471904 BLAKE2B 
16a87130f215d9e1bf27a8559a70ed24065d411d18eef0bbfaf36118ac8b097abd8b965b4842efa00d2cab6a03e93c9f49eec020f308f7cb6d8995651b8b5380
 SHA512 
1f3df2a4ea0a3f95bb9657d9ee36ed929fa841c9442dfd04e5d7f55ef533b0cac3182c2172b627c7ad7f366afdc1d232f2618d701bd1c601feadbfc754059cae
 DIST iputils-manpages-20211215.tar.xz 17148 BLAKE2B 
63a956805b01f57b070b6b4ceb32f6ddf4313c74203cde821fc2f6f16ab8de14861da31163adf496db555f1961592d4fbc2ba7a977ccb18773af3bdb8d3795c0
 SHA512 
eb8c8508221b06fc13bf196b01b11f3ec87cd77e25d89c088776e39d249e10a3915ebb39942805adee179b352543063ce3dac158d68783c68c23de550ec14eee

diff --git a/net-misc/iputils/iputils-20250605.ebuild 
b/net-misc/iputils/iputils-20250605.ebuild
new file mode 100644
index 000000000000..c8bd53da9b3b
--- /dev/null
+++ b/net-misc/iputils/iputils-20250605.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PLOCALES="de fr ja pt_BR tr uk zh_CN"
+
+inherit fcaps meson plocale systemd toolchain-funcs
+
+if [[ ${PV} == *9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/iputils/iputils.git";
+       inherit git-r3
+else
+       
SRC_URI="https://github.com/iputils/iputils/releases/download/${PV}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+DESCRIPTION="Network monitoring tools including ping and ping6"
+HOMEPAGE="https://wiki.linuxfoundation.org/networking/iputils";
+
+# We install ping unconditionally so BSD is listed by itself
+# See LICENSE on each release, it summaries per-component
+LICENSE="
+       BSD
+       arping? ( GPL-2+ )
+       clockdiff? ( BSD )
+       tracepath? ( GPL-2+ )
+"
+SLOT="0"
+IUSE="+arping caps clockdiff doc idn nls test tracepath"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       caps? ( sys-libs/libcap )
+       idn? ( net-dns/libidn2:= )
+       nls? ( virtual/libintl )
+"
+DEPEND="
+       ${RDEPEND}
+       virtual/os-headers
+"
+BDEPEND="
+       virtual/pkgconfig
+       test? ( sys-apps/iproute2 )
+       nls? ( sys-devel/gettext )
+"
+
+if [[ ${PV} == 9999 ]] ; then
+       BDEPEND+="
+               app-text/docbook-xml-dtd:4.2
+               app-text/docbook-xml-dtd:4.5
+               app-text/docbook-xsl-ns-stylesheets
+               app-text/docbook-xsl-stylesheets
+               dev-libs/libxslt
+       "
+fi
+
+src_prepare() {
+       default
+
+       plocale_get_locales > po/LINGUAS || die
+}
+
+src_configure() {
+       local emesonargs=(
+               -DUSE_CAP=$(usex caps true false)
+               -DUSE_IDN=$(usex idn true false)
+               -DBUILD_ARPING=$(usex arping true false)
+               -DBUILD_CLOCKDIFF=$(usex clockdiff true false)
+               -DBUILD_PING=true
+               -DBUILD_TRACEPATH=$(usex tracepath true false)
+               -DNO_SETCAP_OR_SUID=true
+               -Dsystemdunitdir=$(systemd_get_systemunitdir)
+               -DUSE_GETTEXT=$(usex nls true false)
+               $(meson_use !test SKIP_TESTS)
+       )
+
+       if use doc || [[ ${PV} == 9999 ]] ; then
+               emesonargs+=(
+                       -DBUILD_HTML_MANS=true
+                       -DBUILD_MANS=true
+               )
+       fi
+
+       meson_src_configure
+}
+
+src_compile() {
+       tc-export CC
+
+       meson_src_compile
+}
+
+src_test() {
+       if [[ ${EUID} != 0 ]] ; then
+               einfo "Tests require root privileges. Skipping ..."
+               return
+       fi
+
+       meson_src_test
+}
+
+src_install() {
+       meson_src_install
+
+       FILECAPS=( cap_net_raw usr/bin/ping )
+       use arping && FILECAPS+=( usr/bin/arping )
+       use clockdiff && FILECAPS+=( usr/bin/clockdiff )
+
+       dosym ping /usr/bin/ping4
+       dosym ping /usr/bin/ping6
+
+       if use tracepath ; then
+               dosym tracepath /usr/bin/tracepath4
+               dosym tracepath /usr/bin/tracepath6
+               dosym tracepath.8 /usr/share/man/man8/tracepath4.8
+               dosym tracepath.8 /usr/share/man/man8/tracepath6.8
+       fi
+
+       if use doc ; then
+               mv "${ED}"/usr/share/${PN} "${ED}"/usr/share/doc/${PF}/html || 
die
+       fi
+}
+
+pkg_preinst() {
+       local version_with_tftpd="<${CATEGORY}/${PN}-20211215"
+       if has_version "${version_with_tftpd}[traceroute6]" || has_version 
"${version_with_tftpd}[tftpd]" ; then
+               HAD_TFTPD_VERSION=1
+       fi
+}
+
+pkg_postinst() {
+       fcaps_pkg_postinst
+
+       if [[ ${HAD_TFTPD_VERSION} -eq 1 ]] ; then
+               ewarn "This upstream version (>= 20211215) drops two tools:"
+               ewarn "1. tftpd (alternatives: net-ftp/tftp-hpa, 
net-dns/dnsmasq)"
+               ewarn "2. traceroute6 (alternatives: net-analyzer/mtr, 
net-analyzer/traceroute)"
+               ewarn "Please install one of the listed alternatives if needed!"
+       fi
+}

Reply via email to